Package org.gdal.gdal

## Class Band

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gdal.Band

-     public class Band
      extends MajorObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize, SWIGTYPE_p_int buf_type)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize, SWIGTYPE_p_int buf_type, java.util.Vector options)` |
    `MDArray` | `AsMDArray​()` |
    `int` | `Checksum​()` |
    `int` | `Checksum​(int xoff, int yoff, int xsize, int ysize)` |
    `void` | `ComputeBandStats​(double[] argout)` |
    `void` | `ComputeBandStats​(double[] argout, int samplestep)` |
    `void` | `ComputeRasterMinMax​(double[] argout)` |
    `void` | `ComputeRasterMinMax​(double[] argout, int approx_ok)` |
    `int` | `ComputeStatistics​(boolean approx_ok)` |
    `int` | `ComputeStatistics​(boolean approx_ok, double[] min)` |
    `int` | `ComputeStatistics​(boolean approx_ok, double[] min, double[] max)` |
    `int` | `ComputeStatistics​(boolean approx_ok, double[] min, double[] max, double[] mean)` |
    `int` | `ComputeStatistics​(boolean approx_ok, double[] min, double[] max, double[] mean, double[] stddev)` |
    `int` | `ComputeStatistics​(boolean approx_ok, double[] min, double[] max, double[] mean, double[] stddev, ProgressCallback callback)` |
    `int` | `CreateMaskBand​(int nFlags)` |
    `void` | `delete​()` |
    `int` | `DeleteNoDataValue​()` |
    `int` | `Fill​(double real_fill)` |
    `int` | `Fill​(double real_fill, double imag_fill)` |
    `void` | `FlushCache​()` |
    `int` | `GetBand​()` |
    `void` | `GetBlockSize​(int[] pnBlockXSize, int[] pnBlockYSize)` |
    `int` | `GetBlockXSize​()` |
    `int` | `GetBlockYSize​()` |
    `java.util.Vector` | `GetCategoryNames​()` |
    `int` | `GetColorInterpretation​()` |
    `ColorTable` | `GetColorTable​()` |
    `Dataset` | `GetDataset​()` |
    `int` | `getDataType​()` |
    `int` | `GetDefaultHistogram​(double[] min_ret, double[] max_ret, int[][] buckets_ret)` |
    `int` | `GetDefaultHistogram​(double[] min_ret, double[] max_ret, int[][] buckets_ret, boolean force)` |
    `int` | `GetDefaultHistogram​(double[] min_ret, double[] max_ret, int[][] buckets_ret, boolean force, ProgressCallback callback)` |
    `RasterAttributeTable` | `GetDefaultRAT​()` |
    `int` | `GetHistogram​(double min, double max, int[] buckets)` |
    `int` | `GetHistogram​(double min, double max, int[] buckets, boolean include_out_of_range, boolean approx_ok)` |
    `int` | `GetHistogram​(double min, double max, int[] buckets, boolean include_out_of_range, boolean approx_ok, ProgressCallback callback)` |
    `int` | `GetHistogram​(int[] buckets)` |
    `Band` | `GetMaskBand​()` |
    `int` | `GetMaskFlags​()` |
    `void` | `GetMaximum​(java.lang.Double[] val)` |
    `void` | `GetMinimum​(java.lang.Double[] val)` |
    `void` | `GetNoDataValue​(java.lang.Double[] val)` |
    `void` | `GetOffset​(java.lang.Double[] val)` |
    `Band` | `GetOverview​(int i)` |
    `int` | `GetOverviewCount​()` |
    `java.util.Vector` | `GetRasterCategoryNames​()` |
    `int` | `GetRasterColorInterpretation​()` |
    `ColorTable` | `GetRasterColorTable​()` |
    `int` | `GetRasterDataType​()` |
    `void` | `GetScale​(java.lang.Double[] val)` |
    `int` | `GetStatistics​(boolean approx_ok, boolean force, double[] min, double[] max, double[] mean, double[] stddev)` |
    `int` | `GetStatistics​(int approx_ok, int force, double[] min, double[] max, double[] mean, double[] stddev)` |
    `java.lang.String` | `GetUnitType​()` |
    `int` | `getXSize​()` |
    `int` | `GetXSize​()` |
    `int` | `getYSize​()` |
    `int` | `GetYSize​()` |
    `boolean` | `HasArbitraryOverviews​()` |
    `int` | `ReadBlock_Direct​(int nXBlockOff, int nYBlockOff, java.nio.ByteBuffer nioBuffer)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, byte[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, double[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, float[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, byte[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, double[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, float[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, int[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, short[] array)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, short[] array)` |
    `java.nio.ByteBuffer` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize)` |
    `java.nio.ByteBuffer` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_type)` |
    `java.nio.ByteBuffer` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int nPixelSpace)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, java.nio.ByteBuffer nioBuffer)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, java.nio.ByteBuffer nioBuffer)` |
    `int` | `SetCategoryNames​(java.util.Vector papszCategoryNames)` |
    `int` | `SetColorInterpretation​(int val)` |
    `int` | `SetColorTable​(ColorTable arg)` |
    `int` | `SetDefaultHistogram​(double min, double max, int[] buckets_in)` |
    `int` | `SetDefaultRAT​(RasterAttributeTable table)` |
    `int` | `SetNoDataValue​(double d)` |
    `int` | `SetOffset​(double val)` |
    `int` | `SetRasterCategoryNames​(java.util.Vector names)` |
    `int` | `SetRasterColorInterpretation​(int val)` |
    `int` | `SetRasterColorTable​(ColorTable arg)` |
    `int` | `SetScale​(double val)` |
    `int` | `SetStatistics​(double min, double max, double mean, double stddev)` |
    `int` | `SetUnitType​(java.lang.String val)` |
    `int` | `WriteBlock_Direct​(int nXBlockOff, int nYBlockOff, java.nio.ByteBuffer nioBuffer)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, byte[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, double[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, float[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, byte[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, double[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, float[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, int[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_type, short[] array)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, short[] array)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int nPixelSpace)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, java.nio.ByteBuffer nioBuffer)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_type, java.nio.ByteBuffer nioBuffer)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, java.nio.ByteBuffer nioBuffer)` |

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

      Overrides:
        `delete` in class `MajorObject`

    - #### GetXSize

          public int GetXSize​()

    - #### GetYSize

          public int GetYSize​()

    - #### GetRasterDataType

          public int GetRasterDataType​()

    - #### GetBlockXSize

          public int GetBlockXSize​()

    - #### GetBlockYSize

          public int GetBlockYSize​()

    - #### Checksum

          public int Checksum​()

    - #### GetStatistics

          public int GetStatistics​(boolean approx_ok,
                                   boolean force,
                                   double[] min,
                                   double[] max,
                                   double[] mean,
                                   double[] stddev)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       java.nio.ByteBuffer nioBuffer)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       java.nio.ByteBuffer nioBuffer)

    - #### ReadRaster_Direct

          public java.nio.ByteBuffer ReadRaster_Direct​(int xoff,
                                                       int yoff,
                                                       int xsize,
                                                       int ysize,
                                                       int buf_xsize,
                                                       int buf_ysize,
                                                       int buf_type)

    - #### ReadRaster_Direct

          public java.nio.ByteBuffer ReadRaster_Direct​(int xoff,
                                                       int yoff,
                                                       int xsize,
                                                       int ysize,
                                                       int buf_type)

    - #### ReadRaster_Direct

          public java.nio.ByteBuffer ReadRaster_Direct​(int xoff,
                                                       int yoff,
                                                       int xsize,
                                                       int ysize)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_type,
                                byte[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                byte[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_type,
                                short[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                short[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_type,
                                int[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_type,
                                float[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                float[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_type,
                                double[] array)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                double[] array)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        java.nio.ByteBuffer nioBuffer)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        java.nio.ByteBuffer nioBuffer)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_type,
                                 byte[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 byte[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_type,
                                 short[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 short[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_type,
                                 int[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_type,
                                 float[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 float[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_type,
                                 double[] array)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 double[] array)

    - #### getXSize

          public int getXSize​()

    - #### getYSize

          public int getYSize​()

    - #### getDataType

          public int getDataType​()

    - #### GetDataset

          public Dataset GetDataset​()

    - #### GetBand

          public int GetBand​()

    - #### GetBlockSize

          public void GetBlockSize​(int[] pnBlockXSize,
                                   int[] pnBlockYSize)

    - #### GetColorInterpretation

          public int GetColorInterpretation​()

    - #### GetRasterColorInterpretation

          public int GetRasterColorInterpretation​()

    - #### SetColorInterpretation

          public int SetColorInterpretation​(int val)

    - #### SetRasterColorInterpretation

          public int SetRasterColorInterpretation​(int val)

    - #### GetNoDataValue

          public void GetNoDataValue​(java.lang.Double[] val)

    - #### SetNoDataValue

          public int SetNoDataValue​(double d)

    - #### DeleteNoDataValue

          public int DeleteNoDataValue​()

    - #### GetUnitType

          public java.lang.String GetUnitType​()

    - #### SetUnitType

          public int SetUnitType​(java.lang.String val)

    - #### GetRasterCategoryNames

          public java.util.Vector GetRasterCategoryNames​()

    - #### SetRasterCategoryNames

          public int SetRasterCategoryNames​(java.util.Vector names)

    - #### GetMinimum

          public void GetMinimum​(java.lang.Double[] val)

    - #### GetMaximum

          public void GetMaximum​(java.lang.Double[] val)

    - #### GetOffset

          public void GetOffset​(java.lang.Double[] val)

    - #### GetScale

          public void GetScale​(java.lang.Double[] val)

    - #### SetOffset

          public int SetOffset​(double val)

    - #### SetScale

          public int SetScale​(double val)

    - #### GetStatistics

          public int GetStatistics​(int approx_ok,
                                   int force,
                                   double[] min,
                                   double[] max,
                                   double[] mean,
                                   double[] stddev)

    - #### ComputeStatistics

          public int ComputeStatistics​(boolean approx_ok,
                                       double[] min,
                                       double[] max,
                                       double[] mean,
                                       double[] stddev,
                                       ProgressCallback callback)

    - #### ComputeStatistics

          public int ComputeStatistics​(boolean approx_ok,
                                       double[] min,
                                       double[] max,
                                       double[] mean,
                                       double[] stddev)

    - #### ComputeStatistics

          public int ComputeStatistics​(boolean approx_ok,
                                       double[] min,
                                       double[] max,
                                       double[] mean)

    - #### ComputeStatistics

          public int ComputeStatistics​(boolean approx_ok,
                                       double[] min,
                                       double[] max)

    - #### ComputeStatistics

          public int ComputeStatistics​(boolean approx_ok,
                                       double[] min)

    - #### ComputeStatistics

          public int ComputeStatistics​(boolean approx_ok)

    - #### SetStatistics

          public int SetStatistics​(double min,
                                   double max,
                                   double mean,
                                   double stddev)

    - #### GetOverviewCount

          public int GetOverviewCount​()

    - #### GetOverview

          public Band GetOverview​(int i)

    - #### Checksum

          public int Checksum​(int xoff,
                              int yoff,
                              int xsize,
                              int ysize)

    - #### ComputeRasterMinMax

          public void ComputeRasterMinMax​(double[] argout,
                                          int approx_ok)

    - #### ComputeRasterMinMax

          public void ComputeRasterMinMax​(double[] argout)

    - #### ComputeBandStats

          public void ComputeBandStats​(double[] argout,
                                       int samplestep)

    - #### ComputeBandStats

          public void ComputeBandStats​(double[] argout)

    - #### Fill

          public int Fill​(double real_fill,
                          double imag_fill)

    - #### Fill

          public int Fill​(double real_fill)

    - #### FlushCache

          public void FlushCache​()

    - #### GetRasterColorTable

          public ColorTable GetRasterColorTable​()

    - #### GetColorTable

          public ColorTable GetColorTable​()

    - #### SetRasterColorTable

          public int SetRasterColorTable​(ColorTable arg)

    - #### SetColorTable

          public int SetColorTable​(ColorTable arg)

    - #### GetDefaultRAT

          public RasterAttributeTable GetDefaultRAT​()

    - #### SetDefaultRAT

          public int SetDefaultRAT​(RasterAttributeTable table)

    - #### GetMaskBand

          public Band GetMaskBand​()

    - #### GetMaskFlags

          public int GetMaskFlags​()

    - #### CreateMaskBand

          public int CreateMaskBand​(int nFlags)

    - #### SetDefaultHistogram

          public int SetDefaultHistogram​(double min,
                                         double max,
                                         int[] buckets_in)

    - #### HasArbitraryOverviews

          public boolean HasArbitraryOverviews​()

    - #### GetCategoryNames

          public java.util.Vector GetCategoryNames​()

    - #### SetCategoryNames

          public int SetCategoryNames​(java.util.Vector papszCategoryNames)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize,
                                SWIGTYPE_p_int buf_type,
                                java.util.Vector options)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize,
                                SWIGTYPE_p_int buf_type)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize)

    - #### AsMDArray

          public MDArray AsMDArray​()

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer,
                                       int nPixelSpace,
                                       int nLineSpace)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer,
                                       int nPixelSpace)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer,
                                        int nPixelSpace,
                                        int nLineSpace)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer,
                                        int nPixelSpace)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn)

    - #### ReadBlock_Direct

          public int ReadBlock_Direct​(int nXBlockOff,
                                      int nYBlockOff,
                                      java.nio.ByteBuffer nioBuffer)

    - #### WriteBlock_Direct

          public int WriteBlock_Direct​(int nXBlockOff,
                                       int nYBlockOff,
                                       java.nio.ByteBuffer nioBuffer)

    - #### GetHistogram

          public int GetHistogram​(double min,
                                  double max,
                                  int[] buckets,
                                  boolean include_out_of_range,
                                  boolean approx_ok,
                                  ProgressCallback callback)

    - #### GetHistogram

          public int GetHistogram​(double min,
                                  double max,
                                  int[] buckets,
                                  boolean include_out_of_range,
                                  boolean approx_ok)

    - #### GetHistogram

          public int GetHistogram​(double min,
                                  double max,
                                  int[] buckets)

    - #### GetHistogram

          public int GetHistogram​(int[] buckets)

    - #### GetDefaultHistogram

          public int GetDefaultHistogram​(double[] min_ret,
                                         double[] max_ret,
                                         int[][] buckets_ret,
                                         boolean force,
                                         ProgressCallback callback)

    - #### GetDefaultHistogram

          public int GetDefaultHistogram​(double[] min_ret,
                                         double[] max_ret,
                                         int[][] buckets_ret,
                                         boolean force)

    - #### GetDefaultHistogram

          public int GetDefaultHistogram​(double[] min_ret,
                                         double[] max_ret,
                                         int[][] buckets_ret)